Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  LISP für 3darray

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   LISP für 3darray (440 mal gelesen)
AutoCAD-Hiwine
Mitglied
Studentin

Sehen Sie sich das Profil von AutoCAD-Hiwine an!   Senden Sie eine Private Message an AutoCAD-Hiwine  Schreiben Sie einen Gästebucheintrag für AutoCAD-Hiwine

Beiträge: 3
Registriert: 07.11.2008

Parallels/AutoCAD

erstellt am: 07. Nov. 2008 13:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi.
Ich bin ziemlich neu und hab net viel Ahnung außer, davon was ich machen will:
Brauche eine AutoLISP für ein 3darray.
Gibt es das schon? Wo such ich, wie "füge" ich sowas dann ein damit es funktioniert? Mit dem Tutorial unter: http://www.autolisp-tutorial.mapcar.net/index.html  komm ich leider auch nicht wirklich zurecht.
Muss ich mich erstmal super generell ins LISP erstellen einlesen? Oder kann ich nich irgendwie die Befehle aus der Command-Zeile in n Editor-Text einfügen und somit rel. schnell ein LISP erstellen?

lg aus Freiburg

------------------
iml

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13322
Registriert: 30.11.2003

.

erstellt am: 07. Nov. 2008 14:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AutoCAD-Hiwine 10 Unities + Antwort hilfreich

der array-Befehl ist eigentlich nicht mehr als ein MULTI-Copy ... somit würde es dir schon reichen, den _copy Befehl in einem command zu kapseln und in einer Schleife laufenzulassen ... als Kopie-Punkt übergibst du dann einfach die sich ändernden 3D-Koordinaten.

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AutoCAD-Hiwine
Mitglied
Studentin

Sehen Sie sich das Profil von AutoCAD-Hiwine an!   Senden Sie eine Private Message an AutoCAD-Hiwine  Schreiben Sie einen Gästebucheintrag für AutoCAD-Hiwine

Beiträge: 3
Registriert: 07.11.2008

Parallels/AutoCAD

erstellt am: 07. Nov. 2008 14:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das hört sich gut an...
Kopiere ich da einfach die Fragen, die auf den Befehl 3darray folgen, rein und beantworte sie schon? Und wie referenziere ich dann immer wieder den neuen Endpunkt?

------------------
iml

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 10. Nov. 2008 15:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AutoCAD-Hiwine 10 Unities + Antwort hilfreich

Wenn Du die Elemente hast und die Verschiebungen als Punktliste kannst Du es am besten mit (mapcar) machen. z. B. so:
Code:
(mapcar '(lambda (x) (command "_copy" elemente "" "" x)) pliste)

Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AutoCAD-Hiwine
Mitglied
Studentin

Sehen Sie sich das Profil von AutoCAD-Hiwine an!   Senden Sie eine Private Message an AutoCAD-Hiwine  Schreiben Sie einen Gästebucheintrag für AutoCAD-Hiwine

Beiträge: 3
Registriert: 07.11.2008

Parallels/AutoCAD

erstellt am: 10. Nov. 2008 15:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Wie mache ich eine Punktliste? Muss ich da vorher die Punkte raussuchen oder kann ich das als Array vorher machen?

Grüße Ina

------------------
iml

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

heidi
Mitglied
CAD-Dienstleister


Sehen Sie sich das Profil von heidi an!   Senden Sie eine Private Message an heidi  Schreiben Sie einen Gästebucheintrag für heidi

Beiträge: 1074
Registriert: 01.11.2001

erstellt am: 10. Nov. 2008 16:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AutoCAD-Hiwine 10 Unities + Antwort hilfreich

Hallo Ina,

wenn du die Suche mit "punktliste" fütterst, kommen da schon mal einige Tipps für dich.

------------------
Gruß Heidi
http://www.cad-point.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 10. Nov. 2008 16:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AutoCAD-Hiwine 10 Unities + Antwort hilfreich

Halo Ina,
mal als komplettes Beispiel:
Code:
(defun c:3d_copy ()
  (setq elemente (ssget))
  (setq pliste '((1 0 0) (2 0 0) (3 0 0) (0 1 0) (1 1 0) (2 1 0) (3 1 0) (0 0 1) (1 0 1) (2 0 1) (3 0 1) (0 1 1) (1 1 1) (2 1 1) (3 1 1)))
  (mapcar '(lambda (x) (command "_copy" elemente "" "" x)) pliste)
)

Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de